                      Computer Science 825
                         Quiz 6              Name _______________________

1. a. What is an "orphan" frame on a token ring?




   b. How is an orphan frame detected and eliminated?




2. Answer the following T or F.


   ___ a. The Token Ring uses a global priority scheme which can lead
          to starvation of low priority traffic.

   ___ b. If the monitor station on a token ring "dies", the whole ring is
          not usable until the broken monitor station can be unplugged and
          physically replaced by a new monitor station.

   ___ c. In an IEEE 802.5 Token ring the recipient of a message is responsible
          for removing it from the ring.


3. Suppose a ring transmits at 10,000,000 bits per second and the signal
   propogates at a rate of 200,000 km / second.  How many bits will fit on
   a 500 meter ring?








4. A token ring frame has two bits which the recipient can set. What do the
   bits specify.

   A -


   C -



5. Suppose a message is 7 bits long and C1, C2, and C3 represent the standard
   Hamming check bits.. What should the value of each be? (assume ODD parity)

            C1  C2  1  C3  1  0  1




6. Assume the message 1 0 1 0 1 1 0 arrives. Which if any the bits is in
   error?



7. Suppose message packets are 1000 bits (including data and ECC bits) and
   are to be transmitted in such a way that any error burst of up to 20 bits
   can be corrected.  How many bits of the 1000 must be reserved for ECC.
   (NO FRACTIONAL BITS please.)


